gdk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object This class contains a detailed description of an extended input device. None.
- Constructor
  Internal constructor.
  None.
- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  GLib.Property("associated-device")
  Gdk.Device To be added. To be added. To be added.
- Event
  GLib.Signal("changed")
  System.EventHandler To be added. To be added.
- Property
  GLib.Property("device-manager")
  Gdk.DeviceManager To be added. To be added. To be added.
- Property
  Gdk.DeviceType To be added. To be added. To be added.
- Property
  GLib.Property("display")
  Gdk.Display To be added. To be added. To be added.
- Method
  System.Boolean `` `` `` a a a To be added a To be added
- Method
  Gdk.AxisUse `` To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Gdk.TimeCoord[] `` `` `` a a a To be added a To be added
- Method
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  Gdk.Window `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  Gdk.GrabStatus `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Property
  GLib.Property("has-cursor")
  System.Boolean To be added a To be added
- Property
  GLib.Property("input-mode")
  Gdk.InputMode To be added. To be added. To be added.
- Property
  GLib.Property("input-source")
  Gdk.InputSource To be added. To be added. To be added.
- Method
  Gdk.Atom[] To be added. To be added. To be added.
- Method
  Gdk.Device[] To be added. To be added. To be added.
- Property
  Gdk.InputMode To be added a To be added
- Property
  GLib.Property("name")
  System.String To be added a To be added
- Property
  System.Int32 To be added. To be added. To be added.
- Property
  GLib.Property("n-axes")
  System.Int32 To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideChanged", Type=typeof(Gdk.Device))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetHistory", Type=typeof(Gdk.Device))
  System.Boolean `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetState", Type=typeof(Gdk.Device))
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGrab", Type=typeof(Gdk.Device))
  Gdk.GrabStatus `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideQueryState", Type=typeof(Gdk.Device))
  System.Boolean `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSelectWindowEvents", Type=typeof(Gdk.Device))
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSetWindowCursor", Type=typeof(Gdk.Device))
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideUngrab", Type=typeof(Gdk.Device))
  System.Void `` To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideWarp", Type=typeof(Gdk.Device))
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideWindowAtPosition", Type=typeof(Gdk.Device))
  Gdk.Window `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` a a To be added To be added
- Method
  System.Void `` `` `` a a a To be added To be added
- Method
  System.Boolean `` To be added: an object of type 'Gdk.InputMode' To be added To be added: an object of type 'bool' To be added
- Property
  Gdk.InputSource To be added a To be added
- Property
  GLib.Property("type")
  Gdk.DeviceType To be added. To be added. To be added.
- Method
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.